/*
 * %W% %E%
 *
 * Copyright (c) 2006, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package java.security.spec;

/**
 * A (transparent) specification of cryptographic parameters.
 *
 * <P> This interface contains no methods or constants. Its only purpose
 * is to group (and provide type safety for) all parameter specifications.
 * All parameter specifications must implement this interface.
 * 
 * @author Jan Luehe
 *
 * @version %I%, %G%
 *
 * @see java.security.AlgorithmParameters
 * @see DSAParameterSpec
 *
 * @since 1.2
 */

public interface AlgorithmParameterSpec { }
